%define srcname xf86-video-savage
%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-savage
Version: 2.1.2
Release: alt2
Serial: 1
Summary: S3 Savage video driver
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2
Source1: savage.xinf

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Requires: xorg-x11-server >= 1.0.99.901
Requires: xorg-x11-dri-savage xorg-x11-extensions-glx
Provides: x11-driver-savage

BuildRequires: libdrm-devel libmesa-devel pkg-config xorg-x11-sdk xorg-x11-proto-devel xorg-x11-util-macros

%description
savage  is  an Xorg  driver  for the S3 Savage family video
accelerator chips.  2D, 3D, and Xv acceleration  is  supported  on  all
chips except the Savage2000 (2D only).  Dualhead operation is supported
on MX, IX, and SuperSavage chips.

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--enable-dri \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 %SOURCE1 %buildroot%_hwdatadir/savage.xinf

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/*

%changelog
* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:2.1.2-alt2
- added videoaliases file from RH

* Fri Sep 29 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:2.1.2-alt1
- 2.1.2

* Tue Sep 19 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:2.1.1-alt3.git20060919
- GIT snapshot 2006-09-19: fix DRI locking in savage driver.

* Thu Aug 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:2.1.1-alt3.git20060721
- build for i586 and x86_64

* Fri Jul 21 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:2.1.1-alt2.git20060721
- GIT snapshot 2006-07-21

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:2.1.1-alt2
- requires xorg-x11-server >= 1.0.99.901

* Mon May 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:2.1.1-alt1
- 2.1.1

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:2.0.2.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:2.0.2.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:2.0.2-alt0.1
- initial release

